<div class="datepicker__group datepicker__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <span *ngIf="required" class='label__required'> *</span>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbDatePickerIcon != null" nz-icon [nzType]="mbDatePickerIcon" nzTheme="outline"></em>
    <nz-date-picker maskDate nzAllowClear [nzBackdrop]='true' ngDefaultControl
                    [nzAutoFocus]="mbAutofocus" [nzDisabled]="mbDisabled" [nzInputReadOnly]="mbInputReadOnly"
                    [nzMode]="mbMode" [nzPlaceHolder]="mbPlaceholderText" [nzSuffixIcon]="mbSuffixIcon"
                    [nzInline]="mbInline"
                    [nzDisabledDate]="mbDisabledDate" [(ngModel)]="value" [nzShowToday]="mbShowToday"
                    [nzShowTime]="mbShowTime"
                    [nzDisabledTime]="mbDisabledTime" [nzDateRender]="mbDateRender"
                    [nzRenderExtraFooter]="mbRenderExtraFooter"
                    (nzOnOpenChange)="openChange($event)" (nzOnOk)="onOk($event)"
                    (ngModelChange)="onInputChange($event)"
                    [nzFormat]="mbFormat"
                    ></nz-date-picker>
  </div>
  <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>
